sui_getCheckpoints - Sui
Example code for the sui_getCheckpoints JSON-RPC method. Complete guide on how to use sui_getCheckpoints JSON-RPC in GetBlock Web3 documentation.
Parameters
Parameter
Type
Required
Description
Returns
Field
Type
Description
Request Example
curl -X POST https://go.getblock.io/<ACCESS-TOKEN>/ \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"id": "getblock.io",
"method": "sui_getCheckpoints",
"params": ["1004", 4, false]
}'const axios = require('axios');
const payload = {
jsonrpc: '2.0',
id: 'getblock.io',
method: 'sui_getCheckpoints',
params: ['1004', 4, false]
};
axios.post('https://go.getblock.io/<ACCESS-TOKEN>/', payload)
.then(response => console.log(response.data));import requests
payload = {
"jsonrpc": "2.0",
"id": "getblock.io",
"method": "sui_getCheckpoints",
"params": ["1004", 4, False]
}
response = requests.post("https://go.getblock.io/<ACCESS-TOKEN>/", json=payload)
print(response.json())Response Example
Response Parameters
Parameter
Type
Description
Use Cases
Error Handling
Error Code
Description
SDK Integration
Last updated
Was this helpful?